setlocal
@echo off

:GETINFO
echo.
echo *************************************************************
echo   Clean up Data in HCM 
echo *************************************************************
echo.

echo -------------------------------------------------------------
echo DB Authentication Information 
echo -------------------------------------------------------------
set DB_PORT=3306

set DB_HOST=
set DB_NAME=hcm
set DB_USERID=
set DB_PASSWD=


rem **********************************************************************
rem If the path for mySQL executable is not correctly assigned 
rem substitute c:\mySQL\bin below with correct one
rem **********************************************************************
set DB_UTIL=D:\mySQL\bin
set DB_MYSQL=%DB_UTIL%\mysql.exe

set /p DB_HOST=MySQL Host Name :
echo.
set /p DB_NAME=MySQL DB Name (default:hcm) :
echo.
set /p DB_PORT=MySQL Port (default:3306) :
echo.
set /p DB_USERID=MySQL DB User ID :
echo.
set /p DB_PASSWD=MySQL DB User Password :
echo.

echo -------------------------------------------------------------
echo Metadata Server Authentication Information
echo -------------------------------------------------------------
set SYSPARM_OPT=5.1,INSTALLATION
set SAS_EXE=D:\Program Files\SAS\SASFoundation\9.2\sas.exe
set SAS_CONFIG=D:\SAS\config\Lev1\SASApp\sasv9.cfg

set META_USER_ID=
set META_USER_PW=

set /p META_USER_ID=Metadata Server User ID :
echo.
set /p META_USER_PW=Metadata Server User PW :
echo.

rem ***********************************************************************
rem         Check the existence of SAS
rem ***********************************************************************
:CHECK_SAS
if exist "%SAS_EXE%" goto CHECK_CONFIG
echo.
echo **********************************************************************
echo ERROR: sas.exe was not found at %SAS_EXE%
echo **********************************************************************
goto END


rem ***********************************************************************
rem         Check the existence of SAS configuration
rem ***********************************************************************
:CHECK_CONFIG
if exist "%SAS_CONFIG%" goto BEGIN_CLEANUP
echo.
echo **********************************************************************
echo ERROR: sasv9.cfg was not found at %SAS_CONFIG%
echo **********************************************************************
goto END



:BEGIN_CLEANUP
rem **************************************************************************************************************
rem                          List of clean up and install programs
rem **************************************************************************************************************
set REG_STAGEDDS_DDS=D:\SAS\Config\Lev1\Applications\SASSolutionsServices5.1\SASCode\register_stagedds_and_dds.sas
set REG_HCM=D:\SAS\Config\Lev1\Applications\SASHumanCapitalManagement5.1\SASCode\register_hcm.sas


rem ***********************************************************************
rem         Check the existence of necessary programs listed above
rem ***********************************************************************
:CHECK_STAGEDDS_DDS

if exist "%REG_STAGEDDS_DDS%" goto CHECK_HCM

echo.
echo **********************************************************************
echo ERROR: register_stagedds_and_dds.sas was not found at %REG_STAGEDDS_DDS%
echo        Please modify value of REG_STAGEDDS_DDS variable with correct 
echo        location in this batch program and then run it again.
echo **********************************************************************
goto END


rem ***********************************************************************
rem         Check the existence of necessary programs listed above
rem ***********************************************************************
:CHECK_HCM
if exist "%REG_HCM%" goto RUN_REG_PRG
echo.
echo **********************************************************************
echo ERROR: register_hcm.sas was not found at %REG_HCM%
echo        Please modify value of REG_HCM variable with correct 
echo        location in this batch program and then run it again.
echo **********************************************************************
goto END


rem ***********************************************************************
rem        Removing Data and Running Registration Programs
rem ***********************************************************************
:RUN_REG_PRG
echo --- Recreating HCM schema ---
"%DB_MYSQL%" -h%DB_HOST% -u%DB_USERID% -p%DB_PASSWD% %DB_NAME% -e "drop database hcm;create database hcm;"
echo --- Recreating STAGEDDS and DDS ---
"%SAS_EXE%" "%REG_STAGEDDS_DDS%" -config "%SAS_CONFIG%"  -metauser %META_USER_ID% -metapass %META_USER_PW% -sysparm "%SYSPARM_OPT%"
echo --- Recreating HCM ---
"%SAS_EXE%" "%REG_HCM%" -config "%SAS_CONFIG%"  -metauser %META_USER_ID% -metapass %META_USER_PW% -sysparm "%SYSPARM_OPT%"

echo.
echo *********************************************************************
echo Program finished.
echo Please check the following output logs for details:
echo     register_stagedds_and_dds.log
echo     register_hcm.log
echo *********************************************************************
echo.


:END
endlocal